--[[
	: A simple Display of current amount of Mogo Runes
	Author: Subwired
--]]

local menutext = "Titan|cffff8800 Mogo Runes|r"
local buttonlabel = "Mogo Runes: "
local ID = "MR"
local elapMR, MR, prevMR = 0, 0.0, -2
local GetUnitMR = 0 
local startVal = 0
local inInstance, instanceType, instanceStarted
local CurrencyIndex


-- Main button frame and addon base
local f = CreateFrame("Button", "TitanPanelMRButton", CreateFrame("Frame", nil, UIParent), "TitanPanelComboTemplate")
f:SetFrameStrata("FULLSCREEN")
f:SetScript("OnEvent", function(this, event, ...) this[event](this, ...) end)
f:RegisterEvent("ADDON_LOADED")


function f:ADDON_LOADED(a1)
--print ("a1 = " .. a1)
	if a1 ~= "TitanMoguRunes" then -- needs to be the name of the folder that the addon is in
	return 
	end
	self:UnregisterEvent("ADDON_LOADED")
	self.ADDON_LOADED = nil

	local name, isHeader, isExpanded, isUnused, isWatched, count, icon, maximum, hasWeeklyLimit, currentWeeklyAmount, unknown
	local i = 0
	local CurrencyIndex = 0


 --[[
	for i = 1, GetCurrencyListSize(), 1 do
			 name, isHeader, isExpanded, isUnused, isWatched, count, icon, maximum, hasWeeklyLimit, currentWeeklyAmount, unknown = GetCurrencyListInfo(i)				
			print(icon)		
			print(name)		
		end
]]--

	self.registry = {
		id = ID,
		menuText = menutext,
		buttonTextFunction = "TitanPanelMRButton_GetButtonText",
		tooltipTitle = ID,
		tooltipTextFunction = "TitanPanelMRButton_GetTooltipText",
		frequency = 2,
		icon = "Interface\\Icons\\archaeology_5_0_mogucoin.blp",
		iconWidth = 16,
		category = "Information",
		savedVariables = {
			ShowIcon = 1,
			ShowLabelText = false,
			
		},
	}
	
	
	
	
	self:SetScript("OnUpdate", function(this, a1)
		elapMR = elapMR + a1
		if elapMR < 1 then return end
		
		
		
		-- "none" when outside an instance
        -- "pvp" when in a battleground
        -- "arena" when in an arena
        -- "party" when in a 5-man instance
        -- "raid" when in a raid instance 


		for i = 1, GetCurrencyListSize(), 1 do
			 name, isHeader, isExpanded, isUnused, isWatched, count, icon, maximum, hasWeeklyLimit, currentWeeklyAmount, unknown = GetCurrencyListInfo(i)
			--if name == "Valor Points" then
			if icon == "Interface\\Icons\\archaeology_5_0_mogucoin" then
			--print(icon)
				CurrencyIndex = i
			end
			--print(name)
			--Honor Points
			--Conquest Points
			--Valor Points
			--Justice Points
		end

		name, isHeader, isExpanded, isUnused, isWatched, count, icon, maximum, hasWeeklyLimit, currentWeeklyAmount, unknown = GetCurrencyListInfo(CurrencyIndex)
 
		local inInstance, instanceType = IsInInstance()
		--if inInstance and instanceType == "pvp"  then
		if GetNumSubgroupMembers() > 0 then
			if instanceStarted == 0 then
				--startVal = count		--commented out so it wont reset
				--print("new group")
			end
			instanceStarted = 1
		else
			instanceStarted = 0
		end

		 MR = count
		 startVal = count
		
		
		if MR == prevMR then return end
		prevMR  = MR
		TitanPanelButton_UpdateButton(ID)
		elapMR = 0
	end)
		
	--TitanPanelButton_OnLoad(self)
end



----------------------------------------------
function TitanPanelMRButton_GetButtonText()
----------------------------------------------
	local MRtext, pitchtext
	if not MR then
		MRtext = "0"
	else	
		if startVal == count or startVal == 0 then
			MRtext = string.format("%.0f", MR) .."" 
		else
			if MR - startVal == 0 then
				MRtext = string.format("%.0f", MR) .."" 
			else
				MRtext = string.format("%.0f", MR) .." (+".. MR - startVal..")"
	end
	return buttonlabel, MRtext
end
	end
	return buttonlabel, MRtext
end

-----------------------------------------------
function TitanPanelMRButton_GetTooltipText()
-----------------------------------------------


	return "Displays your current value "
end

local temp = {}
local function UIDDM_Add(text, func, checked, keepShown)
	temp.text, temp.func, temp.checked, temp.keepShownOnClick = text, func, checked, keepShown
	UIDropDownMenu_AddButton(temp)
end
----------------------------------------------------
function TitanPanelRightClickMenu_PrepareMRMenu()
----------------------------------------------------
	TitanPanelRightClickMenu_AddTitle(TitanPlugins[ID].menuText)
	
	TitanPanelRightClickMenu_AddToggleIcon(ID)
	TitanPanelRightClickMenu_AddToggleLabelText(ID)
	TitanPanelRightClickMenu_AddSpacer()
	TitanPanelRightClickMenu_AddCommand(TITAN_PANEL_MENU_HIDE, ID, TITAN_PANEL_MENU_FUNC_HIDE)
end